# OpenShaderDesigner: Optional< T > Class Template Reference

Loading...
Searching...
No Matches
Optional< T > Class Template Reference

## Public Types

using | Type = T

## Public Member Functions

| Optional (const Type &data)
| Optional (Type &&data)
| Optional (const Optional &other)=default
| Optional (Optional &&other)=default
Optional & | operator= (const Optional &other)=default
Optional & | operator= (Optional &&other)=default
Type & | operator= (const Type &data)
Type & | operator= (Type &&data)
Type & | operator+= (const Type &data)
Type & | operator-= (const Type &data)
Type & | operator*= (const Type &data)
Type & | operator/= (const Type &data)
Type & | operator%= (const Type &data)
Type & | operator<<= (const Type &data)
Type & | operator>>= (const Type &data)
Type & | operator|= (const Type &data)
Type & | operator&= (const Type &data)
Type & | operator^= (const Type &data)
bool | operator() () const
| operator Type & ()
| operator const Type & () const
Type * | operator-> ()
const Type * | operator-> () const
Type & | operator* ()
const Type & | operator* () const
void | Reset ()

The documentation for this class was generated from the following file:

- Include/Utility/Optional.h